Ubuntu 5658-1: DHCP vulnerabilities | LinuxSecurity.com
==========================================================================
Ubuntu Security Notice USN-5658-1
October 05, 2022

isc-dhcp vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 22.04 LTS
- Ubuntu 20.04 LTS
- Ubuntu 18.04 LTS

Summary:

Several security issues were fixed in DHCP.

Software Description:
- isc-dhcp: DHCP server and client

Details:

It was discovered that DHCP incorrectly handled option reference counting.
A remote attacker could possibly use this issue to cause DHCP servers to
crash, resulting in a denial of service. (CVE-2022-2928)

It was discovered that DHCP incorrectly handled certain memory operations.
A remote attacker could possibly use this issue to cause DHCP clients and
servers to consume resources, leading to a denial of service.
(CVE-2022-2929)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 22.04 LTS:
  isc-dhcp-client                 4.4.1-2.3ubuntu2.3
  isc-dhcp-server                 4.4.1-2.3ubuntu2.3

Ubuntu 20.04 LTS:
  isc-dhcp-client                 4.4.1-2.1ubuntu5.20.04.4
  isc-dhcp-server                 4.4.1-2.1ubuntu5.20.04.4

Ubuntu 18.04 LTS:
  isc-dhcp-client                 4.3.5-3ubuntu7.4
  isc-dhcp-server                 4.3.5-3ubuntu7.4

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-5658-1
  CVE-2022-2928, CVE-2022-2929

Package Information:
  https://launchpad.net/ubuntu/+source/isc-dhcp/4.4.1-2.3ubuntu2.3
  https://launchpad.net/ubuntu/+source/isc-dhcp/4.4.1-2.1ubuntu5.20.04.4
  https://launchpad.net/ubuntu/+source/isc-dhcp/4.3.5-3ubuntu7.4

Ubuntu 5658-1: DHCP vulnerabilities

October 5, 2022

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 22.04 LTS - Ubuntu 20.04 LTS - Ubuntu 18.04 LTS Summary: Several security issues were fixed in DHCP. Software Description: - isc-dhcp: DHCP server and client Details: It was discovered that DHCP incorrectly handled option reference counting. A remote attacker could possibly use this issue to cause DHCP servers to crash, resulting in a denial of service. (CVE-2022-2928) It was discovered that DHCP incorrectly handled certain memory operations. A remote attacker could possibly use this issue to cause DHCP clients and servers to consume resources, leading to a denial of service. (CVE-2022-2929)

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 22.04 LTS: isc-dhcp-client 4.4.1-2.3ubuntu2.3 isc-dhcp-server 4.4.1-2.3ubuntu2.3 Ubuntu 20.04 LTS: isc-dhcp-client 4.4.1-2.1ubuntu5.20.04.4 isc-dhcp-server 4.4.1-2.1ubuntu5.20.04.4 Ubuntu 18.04 LTS: isc-dhcp-client 4.3.5-3ubuntu7.4 isc-dhcp-server 4.3.5-3ubuntu7.4 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-5658-1

CVE-2022-2928, CVE-2022-2929

Severity
Ubuntu Security Notice USN-5658-1

Package Information

https://launchpad.net/ubuntu/+source/isc-dhcp/4.4.1-2.3ubuntu2.3 https://launchpad.net/ubuntu/+source/isc-dhcp/4.4.1-2.1ubuntu5.20.04.4 https://launchpad.net/ubuntu/+source/isc-dhcp/4.3.5-3ubuntu7.4

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.